Bug 1123210 - Please Branch lirc for EPEL7
Summary: Please Branch lirc for EPEL7
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: lirc
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Shaw
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 891339
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-25 06:39 UTC by Robert Lightfoot
Modified: 2014-11-17 18:58 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-17 18:58:53 UTC
gwync: fedora-cvs+


Attachments (Terms of Use)
fc20.src.rpm used successfully in mock (883.06 KB, application/x-rpm)
2014-07-25 07:18 UTC, Robert Lightfoot
no flags Details

Description Robert Lightfoot 2014-07-25 06:39:01 UTC
Would like to see lirc-0.9.0-21.fc20.x86_64 branched to epel7

Comment 1 Robert Lightfoot 2014-07-25 07:18:55 UTC
Created attachment 920856 [details]
fc20.src.rpm used successfully in mock

Comment 2 Richard Shaw 2014-07-27 01:52:04 UTC
I haven't looked at lirc in a while, looks like there is a new bugfix release. I'll take a look.

Comment 3 Richard Shaw 2014-07-27 12:12:51 UTC
Package Change Request
======================
Package Name: lirc
New Branches: epel7
Owners: hobbes1069
InitialCC:

Comment 4 Gwyn Ciesla 2014-07-28 12:17:53 UTC
Git done (by process-git-requests).

Comment 5 Richard Shaw 2014-07-28 22:56:37 UTC
Still seem to be missing a few dependencies...

From root.log:
DEBUG util.py:283:  Error: No Package found for iguanaIR-devel
DEBUG util.py:283:  Error: No Package found for libftdi-devel

http://koji.fedoraproject.org/koji/getfile?taskID=7205350&name=root.log&offset=-4000

Comment 6 Robert Lightfoot 2014-07-29 01:15:39 UTC
BUG 1123215 exists for libftdi and lirc will build without iguanaIR if flagged for that style build.  Otherwise will need to file iguanaIR bug also.

Comment 7 Richard Shaw 2014-10-03 13:38:45 UTC
Ok, getting back around to this now.

The current lirc from Fedora builds fine for epel7 with iguanaIR and libftdi so rather than work around it in the spec I have requested an epel7 branch of iguanaIR and pinged the maintainers of libftdi to request an epel7 branch.

Comment 8 Richard Shaw 2014-11-17 18:58:53 UTC
This is now in EPEL 7 stable, I forgot to put the bug in the update so this wasn't automatically closed.


Note You need to log in before you can comment on or make changes to this bug.